Bug 520223 - Intel ICH5 crackling sound
Summary: Intel ICH5 crackling sound
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 11
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 04:08 UTC by Nineth
Modified: 2010-06-28 14:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:22:11 UTC


Attachments (Terms of Use)

Description Nineth 2009-08-29 04:08:56 UTC
Description of problem:

Audio playback is crackled after upgrade to Fedora 11. This is with or 
without pulseaudio. It causes more severe problems with pulseaudio though
(continuous crackling following by loss of main audio and the stream being
played almost 4-5 times faster). I had no problem with Fedora 9.


Version-Release number of selected component (if applicable):
alsa-lib-1.0.20-1.fc11.i586
kernel-2.6.29.6-217.2.16.fc11.i586


How reproducible:
Always

Steps to Reproduce:
1. Play audio with xmms or flash player or any app
2. Can reproduce with pulseaudio too.
  
Actual results:


Expected results:


Additional info:
$ cat /proc/asound/cards
 0 [ICH5           ]: ICH4 - Intel ICH5
                      Intel ICH5 with ALC650F at irq 17

Comment 1 Nineth 2009-08-29 05:21:25 UTC
Here's the tail of the pulseaudio daemon output when teh above happens.

-------------
.............
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4:
100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
D: alsa-sink.c: Requesting rewind due to latency change.                        
D: alsa-sink.c: Requested to rewind 65532 bytes.                                
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                      
D: protocol-native.c: Requesting rewind due to end of underrun.                 
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.            
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4:
100% 5: 100%                           
D: alsa-sink.c: hwbuf_unused=0                                                  
D: alsa-sink.c: setting avail_min=5020                                          
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                   
D: alsa-sink.c: Requested to rewind 65532 bytes.                                
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                      
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.                   
D: core.c: Hmm, no streams around, trying to vacuum.                            
I: sink-input.c: Freeing input 14 "ALSA Playback"                               
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes busy.                   
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample
rates.                                   
D: resampler.c: Channel matrix:                                                 
D: resampler.c:        I00   I01                                                
D: resampler.c:     +------------                                               
D: resampler.c: O00 | 1.000 0.000                                               
D: resampler.c: O01 | 0.000 1.000                                               
D: resampler.c: O02 | 1.000 0.000                                               
D: resampler.c: O03 | 0.000 1.000                                               
D: resampler.c: O04 | 0.500 0.500                                               
D: resampler.c: O05 | 0.000 0.000                                               
I: resampler.c: Using resampler 'copy'                                          
I: resampler.c: Using s16le as working format.                                  
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=12,
prebuf=0, minreq=1 maxrewind=0           
D: memblockq.c: memblockq sanitized: maxlength=33554436, tlength=33554436,
base=12, prebuf=0, minreq=12 maxrewind=0   
I: sink-input.c: Created input 15 "ALSA Playback" on alsa_output.0 with sample
spec s16le 2ch 44100Hz and channel map front-left,front-right                   
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms              
D: protocol-native.c: Early requests mode enabled, configuring sink latency to
minreq.                                
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4,
prebuf=84672, minreq=3528 maxrewind=0  
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4,
prebuf=84672, minreq=3528 maxrewind=0  
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00
ms                                     
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                     
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%                                  
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4:
100% 5: 100%                           
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
D: alsa-sink.c: Requesting rewind due to latency change.                        
D: alsa-sink.c: Requested to rewind 65532 bytes.                                
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.                      
D: protocol-native.c: Requesting rewind due to end of underrun.                 
D: protocol-native.c: Underrun on 'ALSA Playback', 0 bytes in queue.            
W: ratelimit.c: 5989 events suppressed                                          
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
W: ratelimit.c: 8061 events suppressed                                          
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
W: ratelimit.c: 8188 events suppressed                                          
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
W: ratelimit.c: 7534 events suppressed                                          
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
W: ratelimit.c: 8276 events suppressed                                          
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
D: alsa-sink.c: Wakeup from ALSA!                                               
N: alsa-sink.c: Increasing minimal latency to 4.00 ms                           
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
N: alsa-sink.c: Increasing minimal latency to 8.00 ms                           
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
D: alsa-sink.c: Latency set to 20.00ms                                          
D: alsa-sink.c: hwbuf_unused=54948                                              
D: alsa-sink.c: setting avail_min=5021                                          
Soft CPU time limit exhausted, terminating.                                     
E: cpulimit.c: Received request to terminate due to CPU overload.               
I: main.c: Daemon shutdown initiated.                                           
I: module.c: Unloading "module-alsa-sink" (index: #0).
D: alsa-sink.c: Requested volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100% 2: 100% 3: 100% 4: 100% 5:
100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% 2: 100% 3: 100% 4:
100% 5: 100%
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=5020
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.
D: alsa-sink.c: Requested to rewind 65532 bytes.
D: alsa-sink.c: Mhmm, actually there is nothing to rewind.
D: module-suspend-on-idle.c: Sink alsa_output.0 becomes idle.
D: core.c: Hmm, no streams around, trying to vacuum.
I: sink-input.c: Freeing input 15 "ALSA Playback"
D: core-subscribe.c: Dropped redundant event due to change event.
D: core-subscribe.c: Dropped redundant event due to remove event.
D: alsa-sink.c: Thread shutting down
I: sink.c: Freeing sink 0 "alsa_output.0"
I: source.c: Freeing source 0 "alsa_output.0.monitor"
I: module.c: Unloaded "module-alsa-sink" (index: #0).
I: module.c: Unloading "module-esound-protocol-unix" (index: #1).
I: module.c: Unloaded "module-esound-protocol-unix" (index: #1).
I: module.c: Unloading "module-native-protocol-unix" (index: #2).
I: client.c: Freed 0 "ALSA plug-in [npviewer.bin]"
I: module.c: Unloaded "module-native-protocol-unix" (index: #2).
I: module.c: Unloading "module-stream-restore" (index: #3).
I: module.c: Unloaded "module-stream-restore" (index: #3).
I: module.c: Unloading "module-default-device-restore" (index: #5).
I: module.c: Unloaded "module-default-device-restore" (index: #5).
I: module.c: Unloading "module-rescue-streams" (index: #6).
I: module.c: Unloaded "module-rescue-streams" (index: #6).
I: module.c: Unloading "module-suspend-on-idle" (index: #7).
I: module.c: Unloaded "module-suspend-on-idle" (index: #7).
I: module.c: Unloading "module-x11-publish" (index: #8).
I: module.c: Unloaded "module-x11-publish" (index: #8).
I: main.c: Daemon terminated.

Comment 2 Bug Zapper 2010-04-28 10:03:21 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:22:11 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.